Page MenuHomePhabricator

Outreachy Round 17: Documentation improvements to the ~20 top 50 most viewed MediaWiki Action API pages on-wiki
Closed, ResolvedPublic

Description

Brief summary

The MediaWiki action API is a web service that allows access to some wiki-features like authentication, page operations, and search. It can provide meta information about the wiki and the logged-in user. Several Wikimedia projects make use of this API.

As of now, there are 128 pages on the Action API on MediaWiki.org. We did a little research on the state of the docs and documented a few problems and recommendations for next steps. One of the issues we decided to address was inconsistency. For example, some pages had the automated API docs embedded; some didn’t, some pages had code samples, some didn’t, etc.

As a first step, we designed a documentation template and used it to re-write top 20 viewed pages of the API. But, we realized we cannot improve 128 pages all by ourselves, and for that we need your help! :-) As part of Outreachy, the goal of this project is to improve the top 30 viewed pages using the documentation template.

Skills required

Wiki editing, Templates, creating and managing translatable pages, Wikimedia Phabricator tool, basic Python programming. Note: some or all of these skills would be nice to have but not required. Come with a desire to learn and that be all!

Mentor(s)

@srishakatux @srodlund

Resources
Microtasks

Event Timeline

Restricted Application added subscribers: MusikAnimal, Aklapper. · View Herald TranscriptSep 17 2018, 10:19 PM
Anomie moved this task from Unsorted to Non-Code on the MediaWiki-API board.Sep 18 2018, 12:59 PM
Quiddity updated the task description. (Show Details)Sep 20 2018, 4:36 PM

Hi! I'm an Outreachy applicant and I'm interested in contributing to this project.
My background is in languages and education and I've been transitioning into tech for about a year. although my strongest skillset is with JavaScript (React, Node) and HTML and CSS, I do have basic knowledge of Python and a bit of NLP.
Regarding natural languages, I am fluent in English and Spanish and I'm A1 in German and Italian. I have experience with translation and writing, and I'm eager to learn abut writing good documentation, so I'm very excited about this project.
I see there are no microtasks yet, so I'd love to know how to start contributing to this project!
Thanks!

Hello, I am Sunny and I am an Outreachy applicant as well. This project looks interesting and within my skillset (and sufficient challenging as well!). I have been coding four about 2 years now in JavaScript, PHP, SQL, C++, and a basic background in Python. Please let me know how I may contribute :)

Hi! I'm also a Outreachy applicant and want to contribute to this project.
I have skills in Java, SQL, PHP and C#. A little bit in HTML. I'm also a writer part time and have been writing in portuguese and english for a few years now.
I'm new to FOSS, but I tried to start and learn somethings by myself and translated some pages on the wikimedia to my mother language (portugese). I hope I can continue to do that, it's very rewarding.
I hope I can contribute to this project soon enough!

Thanks!

Hi ! I am Sylvia, an aspirant for Outreachy Round 17. I would like to contribute to this project. Any advice on where and how to get started with the implementation is most welcome. Thanks!

Didicodes added a comment.EditedSep 22 2018, 8:20 PM

Hello! My name is Edidiong Asikpo from Nigeria.
I am also an outreachy applicant and I would love to work on this project. I am particularly interested in this project because of all the amazing information I have gotten from the free encyclopedia (Wikipedia) . Whenever I searched for a particular information online when I was younger and even up till now Wikipedia has always been the one of best source to acquire any information I was looking for, I literally always found almost everything I needed and it got me wondering how the owners of Wikipedia could achieve this. So it will basically be an honor for me to contribute and help more people in the world get the correct information they are all searching for. I have about two years experience in programming and I have worked with Java, XML , HTML and Python.
I cant wait to start contributing to this amazing organization.

srishakatux added a comment.EditedSep 22 2018, 8:22 PM

@VirginiaBalseiro @Sunny_aggie @Itskoda @Sylviamittal @Didicodes Welcome! So glad to hear you all are interested in contributing to this project and considering to apply to Outreachy with Wikimedia, wohooo :-)

I've added a microtask. See T205199. There are step-by-step instructions in the task that will help you!

But, before getting started, please make sure that you've read the instructions on our participants guide https://www.mediawiki.org/wiki/Outreachy/Participants and made sure that you are eligible to participate in the program (see Step 1).

(this comment applies to all future subscribers of this task too)

srishakatux updated the task description. (Show Details)Sep 22 2018, 8:38 PM

Hi everybody! I am Supriya from India and I am an Outreachy applicant as well. I have recently graduated from college (two months back) and I believe that now is the time to actually put the skills I learnt there to use. My skillset overlaps with that required for this project and so I am willing to contribute and learn from it.

@srishakatux I'll be going through the microtask you have provided the link to. Should I be doing anything else as of now?

This message is for all candidates interested in working on this project for Outreachy. Please make sure that before you start working on this project, you've filled out an initial application to help Outreachy organizers verify whether or not you are eligible to participate in the program: https://www.outreachy.org/eligibility/. It should only take you 5 minutes to 30 minutes to complete.

Once you've submitted your initial application, it may take up to a week for Outreachy organizers to review your application and make a decision. Once you are approved, you can start working on the microtasks. In the meanwhile, read our participants guide https://www.mediawiki.org/wiki/Outreachy/Participants and learn about the Wikimedia movement https://www.wikimedia.org/.

Jizumi added a subscriber: Jizumi.Sep 26 2018, 11:47 PM

Hi everyone! My name is Jess and I am very new to open source and a beginner in front end and python. I am really excited to learn about the process of contributing to open source and learning how I can do a better job at documentation in addition to understanding technical concepts!

Hello everyone! My name is Eloísa and I am an Outreachy applicant. I am very excited to start learning new things and to work on open source projects and I'm looking forward to start contributing soon!

Hello everybody! An Outreachy applicant called Anita from Cameroon. I really don't have much idea about the programming languages used for this project. But I am always ready and willing to learn. I have a question which goes to anyone who can help (mentor and or applicants too ): Please, How can I start contributing to this project? I.e please i wish to know the task available to work on.
Thanks!

Hi @Mumylulu123 and welcome! See T204612#4608353 for a link to micro-tasks. Also see https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker#Feedback,_questions_and_support for how to best ask questions. Thanks! :)

Thanks very much Andre Klapper, I am greatful! Let me work on that right away.

Hi everyone. Am keryle from Cameroon, an outreachy applicant. I am new in open source. I have basic skills in the following languages : htlm,css,php,java, JavaScript. Is it late for me to join you on this project? How can I quickly get start inorder to be part of this learning group? Thanks.

Hi guys. I don't know if this is the exact page for questions. I followed up the microtask left by the mentor, but i was struck on the 4th point concerning picking an action page from the table. I don't know how to proceed. Please for help.

@Kerylefondji Thanks for your interest in the project! There are ~20 potential candidates already working on this project's microtask. Also, we are encouraging candidates to start writing a proposal soon. So, it might be ideal that you look into other projects that have received a low response.

srishakatux renamed this task from MediaWiki Action API: Documentation improvements to the top 50 most viewed API pages on-wiki to Outreachy Round 17: Documentation improvements to the ~20 top 50 most viewed MediaWiki Action API pages on-wiki .Feb 9 2019, 1:22 AM
srishakatux assigned this task to Martyav.
srishakatux closed this task as Resolved.Mar 6 2019, 7:44 PM

Amazing work by @Martyav on MediaWiki Documentation API improvements project! Documentation around it is here: https://www.mediawiki.org/wiki/User:Martyav.